C+
C NAME:
C	ArrI4Constant
C PURPOSE:
C	Initialize integer*4 array to constant
C CALLING SEQUENCE:
	subroutine ArrI4Constant(N,R,C)
C CALLS:
C	BadI4
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer	R
	    integer	C(*)

	integer		BadI4

!$omp parallel private(ibad,I)
	ibad = BadI4()

	if (N .lt. 0) then
!$omp do schedule(static)
	    do I=1,-N
		if (C(I) .ne. ibad) C(I) = R
	    end do
!$omp end do nowait
	else
!$omp do schedule(static)
	    do I=1,N
		C(I) = R
	    end do
!$omp end do nowait
	end if
!$omp end parallel

	return
	end
